---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1MessageBox.html">MessageBox</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">tgui::MessageBox Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classtgui_1_1MessageBox.html">tgui::MessageBox</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Container.html#aa6f2df81711d1576a18c674fadc4d3d2">add</a>(const Widget::Ptr &amp;widgetPtr, const sf::String &amp;widgetName=&quot;&quot;)</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html#ae08471cc0f815149a09d92eefec84aba">addButton</a>(const sf::String &amp;buttonCaption)</td><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html">tgui::MessageBox</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a05545f21decd950ac0bfee2d9b26e9e2">attachTheme</a>(std::shared_ptr&lt; BaseTheme &gt; theme)</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html#ac7d10870e1dcf59cadda6e17bae11f0e">clone</a>() const  override</td><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html">tgui::MessageBox</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#aca111dd39a107ca0ca7a19acae891082acd60ff6eaca4b68713c52aff26ac8563">Close</a> enum value</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a3a310a997fdfb38e38688a6086832a95">connect</a>(const std::string &amp;signalNames, Func func, Args...args)</td><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html">tgui::SignalWidgetBase</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a9b0187cd74457415140526ba788504d1">connectEx</a>(const std::string &amp;signalName, Func func, Args...args)</td><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html">tgui::SignalWidgetBase</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html#acbdd7dfde37633cf9c7bf37398580819">ConstPtr</a> typedef</td><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html">tgui::MessageBox</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Container.html#a0939764cbdc168b0cd477f39d55ffdb7">Container</a>(const Container &amp;copy)</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html#ae5467453b19192616e2f45c6c31c4671">copy</a>(MessageBox::ConstPtr messageBox)</td><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html">tgui::MessageBox</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#af00e0bb4f9c216943cce302c7798839d">tgui::ChildWindow::copy</a>(ChildWindow::ConstPtr childWindow)</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html#a1808200ec728a114f237169788e715a9">create</a>()</td><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html">tgui::MessageBox</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#a7ead33733a59560ac727658bb3c1a153">destroy</a>()</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a62bbecb4ba75342b22786502e5383ac5">detachTheme</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a41615622bd4eb42fee629dd408bce7d4">disable</a>(bool blockMouseEvents=true)</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a9e13634d49560b2941ebdd2a934b6a16">disconnect</a>(unsigned int id)</td><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html">tgui::SignalWidgetBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a262641681a20ba2c42b9879faf60f857">disconnectAll</a>(const std::string &amp;signalName)</td><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html">tgui::SignalWidgetBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html#aee50efdbdbbc1be9418dfbc1549ee4f2">disconnectAll</a>()</td><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html">tgui::SignalWidgetBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a8f4ded5b008224a33623171ad2558168">enable</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a826330401141b9946307a5f4e3d1e988">focus</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Container.html#ae8b87961c278278d5cc8f666d5c2d9a7">focusNextWidget</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Container.html#afb16a0b6727c24df9b37a268ae42276d">focusPreviousWidget</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Container.html#a5b92ac3fe78aba31e9d542b14fdbc42e">focusWidget</a>(const Widget::Ptr &amp;widget)</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Container.html#ade3a42a90ecb31e9bfefdfccde62b3f8">focusWidget</a>(Widget *const widget)</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Container.html#add49acaa17b77237c837f90a20c2f589">get</a>(const sf::String &amp;widgetName, bool recursive=false) const </td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Container.html#ac065b68ee708d09c086662305da23b68">get</a>(const sf::String &amp;widgetName, bool recursive=false) const </td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a59112dbb748fa92647ef86b823c227f1">getAbsolutePosition</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#ac646b7b15c62621c207aa31e009740ae">getChildWidgetsOffset</a>() const  override</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#afa2b42d0cd513f4cec36d14a43972b5a">getCloseButton</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#aec2d0dec0156536b93216797de49b497">getFont</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#a689cbd37fbb0ab2835dee263f041a82f">getFullSize</a>() const  override</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#acf2af7b84da83305e054ffd6006a0292">getIcon</a>()</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#a28487c02abcfad78e073e4da90117814">getMaximizeButton</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#a13fa8498ace7182d1e9b87ba6e19b62d">getMaximumSize</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#a992471546c33a4ab552d1c4d9fb3ebe8">getMinimizeButton</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#ab2890420a07ea9ff9c40335d0421e1d3">getMinimumSize</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a7ab7b54eb87d1c7b28ad36fa5a8281ec">getOpacity</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a0cf4e57ff28230753afe8197e8945a3a">getParent</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Transformable.html#a2429a2ff2f3f83b702f20b4a8a0257dc">getPosition</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Transformable.html">tgui::Transformable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#aa32ce148343fd2a0f59d6dbcc3028883">getPrimaryLoadingParameter</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html#a3ffe67c7699a7eef9a772b65dbc342e9">getRenderer</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html">tgui::MessageBox</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a97e7325f223c7c49105b3b859542b652">getSecondaryLoadingParameter</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Transformable.html#ac57d81556fbdbcf0d206b60ec835f3f4">getSize</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Transformable.html">tgui::Transformable</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html#a82555cff5f254a3b2970801f0b57af9a">getText</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html">tgui::MessageBox</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html#afa52baef27289e42fd1a6e12e920866e">getTextSize</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html">tgui::MessageBox</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#ab5bb8483e23d877c386d632ca7ca2879">getTheme</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#a771fdea9e6d499651be6ced4cc42ea40">getTitle</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#a14ec3904fd63861f830c4b6fbecdd446">getTitleAlignment</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#ad7aa02947d408fb7196ff26eaef7989e">getTitleButtons</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a0e6e54fbaba931d0bb8eb0404e2e1c22">getToolTip</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Container.html#ad83def3b3643baddff898ad3d3e2a9d9">getWidgetName</a>(const Widget::Ptr &amp;widget) const </td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Container.html#a855d6355065a26ecd1f1c38c8450dcf5">getWidgetNames</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a569db174bec35957e0150f14b25a6423">getWidgetOffset</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Container.html#a1fa7f1a5d1d0cc97e0fb31df5f4835ae">getWidgets</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a52f98861e54bde43ccab0abe5733bfff">getWidgetType</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a4234b30173259e7b5082a58a9f0e2ca6">hide</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a9bcb2d85d7e449ef7305771256ec79bf">hideWithEffect</a>(ShowAnimationType type, sf::Time duration)</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#af6770fc71c644b645bf28f31c4efd2d1">isEnabled</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#af9a2f1246195375dea450655b23cdf6d">isFocused</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#a2318d67f06f58ecfc5dd1d82a6a01a85">isKeptInParent</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#a0a99bcf0aaaef934a7684fd2e0598414">isResizable</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#ac30d0e386c262c5e830fdcc994584993">isVisible</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#a404eb50d3d9df7216c4bad10931e719a">keepInParent</a>(bool enabled=true)</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Container.html#ae46b1ab5abe460b643e1246a82b7da2c">loadWidgetsFromFile</a>(const std::string &amp;filename)</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Container.html#ad0e956c7d0707a1fb012db1d5c0c7809">loadWidgetsFromStream</a>(std::stringstream &amp;stream)</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#aca111dd39a107ca0ca7a19acae891082a7ce61ff022828bf6802248f791596e3a">Maximize</a> enum value</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html#a6f82900d1634d07349a512b8f14e5ba3">MessageBox</a>(const MessageBox &amp;copy)</td><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html">tgui::MessageBox</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#aca111dd39a107ca0ca7a19acae891082ad80f1df381289742e2adbaae76ae0492">Minimize</a> enum value</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Transformable.html#aff5580e6c49ade969ba71ea1c1330d2b">move</a>(const Layout2d &amp;offset)</td><td class="entry"><a class="el" href="classtgui_1_1Transformable.html">tgui::Transformable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Transformable.html#a792b77e86e9550b0b2c5912d4d7cebe5">move</a>(const Layout &amp;x, const Layout &amp;y)</td><td class="entry"><a class="el" href="classtgui_1_1Transformable.html">tgui::Transformable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a15e7d3570551c72d9a4d9534ac7a7f19">moveToBack</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a98fd0f08b45e3e54b9054965060136dd">moveToFront</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Container.html#a6a275dd4213be8056d327d67b5d8c55a">moveWidgetToBack</a>(Widget *const widget)</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Container.html#acd585a0721d07345fac4b24502ee0b36">moveWidgetToFront</a>(Widget *const widget)</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#aca111dd39a107ca0ca7a19acae891082a1a314ef71a07a25499292ff92c13c775">None</a> enum value</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html#aed1128ec3cc9f05bc8fb593efce45abb">operator=</a>(const MessageBox &amp;right)</td><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html">tgui::MessageBox</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Container.html#a094e1f85625b28a1fc271512fbebd6be">tgui::ChildWindow::operator=</a>(const Container &amp;right)</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a97362423551dca5b90e86fc63ddc3eca">tgui::Widget::operator=</a>(const Widget &amp;right)</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a657777a2240d69c4be0cf52c977bea0f">tgui::SignalWidgetBase::operator=</a>(const SignalWidgetBase &amp;right)</td><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html">tgui::SignalWidgetBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html#ab606d30a516d42437d51872ce3bc0a78">Ptr</a> typedef</td><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html">tgui::MessageBox</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html#a5266dfbca208e8c4a3fd9b369d25856e">reload</a>(const std::string &amp;primary=&quot;&quot;, const std::string &amp;secondary=&quot;&quot;, bool force=false) override</td><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html">tgui::MessageBox</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Container.html#a02b900305e231f6ba0de127712fa3837">remove</a>(const Widget::Ptr &amp;widget)</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Container.html#a55996ecbc42fdb623df7dea8bc4030f2">removeAllWidgets</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Container.html#aa68d202f4623049081c82c4e4e4e7d58">saveWidgetsToFile</a>(const std::string &amp;filename)</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Container.html#a6e92a3efca995ff34f897f0a1b3e6193">saveWidgetsToStream</a>(std::stringstream &amp;stream)</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Transformable.html#a15575698ad5b40c34bc8c945244ec4d8">scale</a>(const Layout2d &amp;factors)</td><td class="entry"><a class="el" href="classtgui_1_1Transformable.html">tgui::Transformable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Transformable.html#a074f2ed8b35ede928678339b8f708b1c">scale</a>(const Layout &amp;x, const Layout &amp;y)</td><td class="entry"><a class="el" href="classtgui_1_1Transformable.html">tgui::Transformable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#a6e61b92d4a33613d15fe4a2935d42390">setCloseButton</a>(Button::Ptr closeButton)</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html#a781fa09e4c79265fef5981dac1dc6333">setFont</a>(const Font &amp;font) override</td><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html">tgui::MessageBox</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#a90e9b1d3f2261e1cb778e9aec2916bab">setIcon</a>(const Texture &amp;icon)</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#a94b7b2c061d17e3f4406ef8271a9da97">setMaximizeButton</a>(Button::Ptr maximizeButton)</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#a25231af921bbaa58fb403a92dc46b379">setMaximumSize</a>(sf::Vector2f size)</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#ac5c6bf7fa2bab8a66959169d5742a419">setMinimizeButton</a>(Button::Ptr minimizeButton)</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#a082acdc88e94fb2e0745ccc632ca601e">setMinimumSize</a>(sf::Vector2f size)</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#a4ee553b708634743f62b3e8b594ab75a">setOpacity</a>(float opacity) override</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#a4a7d5caf381281a794601d6811297c22">setPosition</a>(const Layout2d &amp;position) override</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Transformable.html#a9e34aa4c19ae95ed71052c6409d8fbcc">tgui::Transformable::setPosition</a>(const Layout &amp;x, const Layout &amp;y)</td><td class="entry"><a class="el" href="classtgui_1_1Transformable.html">tgui::Transformable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#adff7250eb57aade399b814f814e0ca92">setResizable</a>(bool resizable=true)</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#aec967e7a4232d4159095de6b3bf511e0">setSize</a>(const Layout2d &amp;size) override</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Transformable.html#a3bae3322ba22993ca9eacad060e3215c">tgui::Transformable::setSize</a>(const Layout &amp;width, const Layout &amp;height)</td><td class="entry"><a class="el" href="classtgui_1_1Transformable.html">tgui::Transformable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html#a7071b725d4d8ea029eec6e318bd7aac3">setText</a>(const sf::String &amp;text)</td><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html">tgui::MessageBox</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html#ac993f73fa5c590b1a4695ab25c35b935">setTextSize</a>(unsigned int size)</td><td class="entry"><a class="el" href="classtgui_1_1MessageBox.html">tgui::MessageBox</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#a69864fc6ae18e77dea50cd92c3bd66c5">setTitle</a>(const sf::String &amp;title)</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#a5bf3dab5da4ea2ec4a59e3eebacffdf9">setTitleAlignment</a>(TitleAlignment alignment)</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#a528e85a884d94c5ae64156c34911d306">setTitleButtons</a>(unsigned int buttons)</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#a8637828b410176c2c866e1fb2f7e5cad">setTitleButtonsText</a>(const sf::String &amp;closeText=&quot;x&quot;, const sf::String &amp;minimizeText=&quot;-&quot;, const sf::String &amp;maximizeText=&quot;+&quot;)</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#ae4f30ef364bf7594ec209688a9b43ec5">setToolTip</a>(Widget::Ptr toolTip)</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Container.html#a1df09925591bb67f1ce3a73ec1aa1285">setWidgetName</a>(const Widget::Ptr &amp;widget, const std::string &amp;name)</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#ae3881afdad82cf8c2bd12f36238c04fe">show</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a71432e6c38c2110991cd3856cf74670b">showWithEffect</a>(ShowAnimationType type, sf::Time duration)</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html#ac37f925b9c8d2912db40050e59cb1bc8">SignalWidgetBase</a>()=default</td><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html">tgui::SignalWidgetBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a57a9f27b40ff6f51583a64333c83405d">SignalWidgetBase</a>(const SignalWidgetBase &amp;copy)</td><td class="entry"><a class="el" href="classtgui_1_1SignalWidgetBase.html">tgui::SignalWidgetBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#a247720248700e8ddbbb4af19bbfad5b8">TitleAlignment</a> enum name</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html#aca111dd39a107ca0ca7a19acae891082">TitleButtons</a> enum name</td><td class="entry"><a class="el" href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Container.html#adb1456b593beb954891a063567254295">uncheckRadioButtons</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#afc53e1f70feeeb498c042d7d741528c9">unfocus</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Container.html#aa00dad8482119ee2ffbaa8fad4ea6707">unfocusWidgets</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Container.html">tgui::Container</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a60c5722d15d0733f6743bf57c86d1c6a">tgui::Widget::Widget</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#a662b5e56609f23b2bbff81cbaa5787e2">tgui::Widget::Widget</a>(const Widget &amp;copy)</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Transformable.html#a98900d9b8ec4166e5127532bfbd5cc59">~Transformable</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Transformable.html">tgui::Transformable</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Widget.html#af34221ef4742371e8f7e2c40a8881404">~Widget</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:44 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
